{% extends "base.html" %}

{% block page_name %}
All events - {{ summit.title }}
{% endblock %}

{% block extrahead %}
{{ block.super }}
<style>
TABLE img.icon {
    vertical-align: bottom;
    width: 16px;
    height: 16px;
}

table.basic span.main-agenda-item-tracks {
    font-size: 0.8em;
}

div.agenda-details {
    display: none;
    padding: 5px;
    position: absolute;
    margin-left: 20px;
    font-size: 0.9em;
    color: #FFFFFF;
    background-color: #101010;
    border: #000000 1px solid;
    border-radius: 5px;
    min-width: 200px;
    max-width: 500px;
    z-index: 100;
}

div.meeting-description {
    white-space: pre-wrap;
}

div.agenda-details LI {
    font-size: 1.0em;
}

div.schedule-head {
    position: relative;
    overflow: visible;
    z-index: 10;
}

div.schedule-head .schedule-qrcode {
    height: 63px;
    vertical-align: top;
    margin-left: -3px;
    margin-top: -3px;
}

div.schedule-head .schedule-date {
    font-weight: normal;
    font-size: 36px;
    margin-left: 5px;
}

div.schedule-head .schedule-crew, .last-updated {
    font-size: 0.7pc;
}

</style>
{% endblock %}

{% block sub_nav %}
{% endblock %}

{% block content %}
<div class="row">
<article class="span-12">

{% for track, meetings in schedule.items %}
<div class="schedule-head">
    <h2>{{ track.title }}</h2>
</div>
<table class="basic">
{% for meeting in meetings %}
<tr style="background-color: {{ meeting.track_color }}; {% if meeting.private %}border: 1px; border-style: solid; border-color: #FF0000;{% endif %}">
<td width="75%">
    <span onMouseOver="show_meeting_details({{meeting.id}});" onMouseOut="hide_meeting_details({{meeting.id}});">
    <a href="{{ meeting.meeting_page_url }}" style="color: #000000;" class="main-agenda-item-name">
        {{ meeting.title }} -- {{ meeting.drafter.name }}
    </a>
<div id="meeting-{{meeting.id}}-details" class="agenda-details">
<div class="arrow"></div>
<div class="meeting-description">
Speaker{{ meeting.required_attendees|pluralize }}: {% for attendee in meeting.required_attendees %}{{ attendee.name }}{% if not forloop.last %}, {% endif %}{% endfor %}<br />
{{meeting.description}}</div>
{% if meeting.tracks.count > 0 %}
<br /><b>Tracks:</b>
<ul>{% for track in meeting.tracks.all %}
    <li style="color: #{{track.color}};">{{ track.title }}</li>
{% endfor %}</ul>
{% endif %}
</div>
</td>
</tr>
{% endfor %}
</table>
{% endfor%}
</article>
</div>
{% block closure %}

<script language="JavaScript">

function show_meeting_details(meeting_id) {
    var elem_id = 'meeting-'+meeting_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='block';
}

function hide_meeting_details(meeting_id) {
    var elem_id = 'meeting-'+meeting_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='none';
}

</script>
{% endblock %}

{% endblock %}
